void setup() {
  //Serial
  Serial.begin(9600);
  
  //Led
  pinMode(HEAD_LIGHT, OUTPUT);
  digitalWrite(HEAD_LIGHT, LOW);
  pinMode(BACK_LIGHT, OUTPUT);
  digitalWrite(BACK_LIGHT, LOW);
  pinMode(RIGHT_TURN_SIG, OUTPUT);
  digitalWrite(RIGHT_TURN_SIG, LOW);
  pinMode(LEFT_TURN_SIG, OUTPUT);
  digitalWrite(LEFT_TURN_SIG, LOW);
  pinMode(ON_BOARD_LED, OUTPUT);
  digitalWrite(ON_BOARD_LED, LOW);
  
  //Speaker
  pinMode(SPEAKER, OUTPUT);
  digitalWrite(SPEAKER, LOW);
  
  //Motor
  pinMode(MOTOR_SIG_A1, OUTPUT);
  digitalWrite(MOTOR_SIG_A1, LOW);
  pinMode(MOTOR_SIG_A2, OUTPUT);
  digitalWrite(MOTOR_SIG_A2, LOW);
  pinMode(MOTOR_SIG_APWM, OUTPUT);
  digitalWrite(MOTOR_SIG_APWM, LOW);
  pinMode(MOTOR_SIG_B1, OUTPUT);
  digitalWrite(MOTOR_SIG_B1, LOW);
  pinMode(MOTOR_SIG_B2, OUTPUT);
  digitalWrite(MOTOR_SIG_B2, LOW);
  pinMode(MOTOR_SIG_BPWM, OUTPUT);
  digitalWrite(MOTOR_SIG_BPWM, LOW);
  
  //Tactile SW
  pinMode(TACTILE_SW1, INPUT);
  pinMode(TACTILE_SW2, INPUT);
  
  //Micro SW
  pinMode(MICRO_SW_R, INPUT_PULLUP);
  pinMode(MICRO_SW_L, INPUT_PULLUP);

  //Timer2
  MsTimer2::set(10, Timer2_isr);
  MsTimer2::start();
}

void robot_status(){
  Serial.println("\n\n-*-*ロボットの状態-*-*-");
  Serial.print("マイク\t：");
  Serial.println(kiku(0));
  Serial.print("明るさ\t：");
  Serial.println(akarusa(0));
  Serial.print("気温\t：");
  Serial.println(ondo(0));
  Serial.print("スイッチ\t");
  Serial.print("botann 1:");
  switch(botann(1)){
    case 0:
      Serial.print("OFF");
      break;
    case 1:
      Serial.print("ON");
      break;
    default:
      Serial.print("想定外エラー");
      break;  
  }
  Serial.print("\tbotann 2:");
  switch(botann(2)){
    case 0:
      Serial.println("OFF");
      break;
    case 1:
      Serial.println("ON");
      break;
    default:
      Serial.println("想定外エラー");
      break;  
  }
  Serial.print("バンパー\t壁検出:");
  switch(kabe()){
    case 0:
      Serial.println("壁なし");
      break;
    case 1:
      Serial.println("左壁検出");
      break;
    case 2:
      Serial.println("右壁検出");
      break;
    case 3:
      Serial.println("正面壁検出");
      break;
    default:
      Serial.println("想定外エラー");
      break;  
  }
  Serial.println("-*-*-*-*-*-*-*-*-*-*-*-*-*-");
}
