/*----------ヘッドライト（白LED）----------                 
 * 【使用方法】
 *  プログラムでヘッドライトを点灯したいときに命令を実行する。
 *  明るさは、ハイビーム > ロービーム > 幅灯 > 消灯
 *  
 * 【命令】
 *  ヘッドライトを点灯（ハイビーム）      >> raito(ON_3);
 *  ヘッドライトを点灯（ロービーム）      >> raito(ON_2);
 *  ヘッドライトを点灯（幅灯）           >> raito(ON_1);
 *  ヘッドライトを消灯                  >> raito(OFF);
 *  ヘッドライトを点灯                  >> raito(ON);
 *  
 */

void raito(unsigned char value){
  static int  head_light_pwr = 0;
  if(value == ON){
    head_light_pwr = 255;  
  }
  else if(value == ON_3){
    head_light_pwr = 255;  
  }
  else if(value == ON_2){
    head_light_pwr = 150;
  }
  else if(value == ON_1){
    head_light_pwr = 10;
  }
  else if(value == OFF){
    head_light_pwr = 0;
  }
  else{
    head_light_pwr = 0;  
  }
  analogWrite(HEAD_LIGHT, head_light_pwr);
}
